Close the XMLReader input

- « XMLReader

- XMLReader::expand »

- PHP Manual
- XMLReader
- Close the XMLReader input

# XMLReader::close

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::close — Close the XMLReader input

### Description

public XMLReader::close(): true

Closes the input the XMLReader object is currently parsing.

### Parameters

This function has no parameters.

### Return Values

Always returns `true`.

### See Also

- XMLReader::open() - Set the URI containing the XML to parse
- XMLReader::xml() - Set the data containing the XML to parse